starknet_blockNumber - STRK
Example code for the starknet_blockNumber JSON-RPC method. Complete guide on how to use starknet_blockNumber JSON-RPC in GetBlock Web3 documentation.
This method returns the number of the most recent block accepted on Starknet. It is the primary way to read the current chain tip.
Parameters
None
Request
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
"jsonrpc": "2.0",
"method": "starknet_blockNumber",
"params": [],
"id": "getblock.io"
}'const axios = require('axios');
const response = await axios.post('https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/', {
jsonrpc: '2.0',
method: 'starknet_blockNumber',
params: [],
id: 'getblock.io'
}, {
headers: { 'Content-Type': 'application/json' }
});
console.log(response.data.result);import requests
response = requests.post(
'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/',
headers={'Content-Type': 'application/json'},
json={
'jsonrpc': '2.0',
'method': 'starknet_blockNumber',
'params': [],
'id': 'getblock.io'
}
)
print(response.json())Response
{
"jsonrpc": "2.0",
"id": "getblock.io",
"result": 700000
}Response Parameters
jsonrpc
string
JSON-RPC protocol version ("2.0")
id
string
Request identifier matching the request
result
integer
Number of the latest accepted block
Use Cases
Chain Tip Polling: Track new blocks for indexers
Confirmation Counting: Compute confirmations as tip minus a transaction's block
Range Bounds: Set the upper bound of an event query to the tip
Sync Checks: Compare a local indexer height against the network tip
Error Handling
63 / UNEXPECTED_ERROR
Unexpected error
The node failed to return the latest block number
403 / RBAC: access denied
Access denied
The GetBlock access token is missing or incorrect
Last updated
Was this helpful?